Skip to content

Modem

All operations require authentication.

8 operationsv1/xdsl/{serviceName}
Agent setup

Apply a modem templateProduction

POST
/1.0/xdsl/{serviceName}/applyTemplateToModem

Applies a modem template to the modem of the access, except the parameters the template ignores. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

templateName
required
string

Modem Template Name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/applyTemplateToModem \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

Get the modem of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/modem

Returns the modem brand, model, serial and MAC address, its bridge and DMZ settings, MTU, firewall level, IPv6 support, ACS backend and capabilities.

Path parameters

serviceName
required
string

Service name

Response

200Modemsuccessful operation
acsBackend
ACSBackendEnum

ACS backend used by the modem

Valuesbetadevstable
acsVersion
read-only
string

Version of ACS API used

brandName
read-only
string
—
capabilities
read-only
ModemCapabilities

Describe the capabilities of the Modem

dmzIP
ip

IP Address of the DMZ (To modify or delete the DMZ IP on the modem, a re-configuration of your modem has to be made, your configuration will be maintained, but you will lose your connection a few minutes)

easyFirewallLevel
read-only
EasyFirewallLevelEnum

Level of the FireWall on the modem

ValuesBlockAllDisabledNormal
ipv6Support
read-only
boolean

Whether or not the modem supports IPv6

isBridged
boolean

Whether or not the modem is in bridge mode. To pass from bridge mode to routed mode, a reset is necessary. If the modem is managedByOvh, the bridge state will be kept after a reset

lastCwmpRequestDate
read-only
stringdate-time

Last time the modem made a CWMP request to the Auto Configuration Server

macAddress
read-only
string
—
managedByOvh
boolean

Whether or not the user can configure his modem via OVH Interface (will lock telnet and local HTTP configuration page)

model
read-only
string
—
mtuSize
MTUSizeEnum

Size of the Maximum Transmission Unit on the modem's interfaces

Values143214561492
serialNumber
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "acsBackend": "beta", "acsVersion": "string", "brandName": "string", "capabilities": { "canBeManagedByOvh": true, "canChangeACS": true, "canChangeBridgeMode": true, "canChangeDHCP": true, "canChangeDMZ": true, "canChangeEasyFirewallLevel": true, "canChangeFirmware": true, "canChangeLAN": true, "canChangeManagement": true, "canChangeMtu": true, "canChangePortMapping": true, "canChangeWLAN": true, "canChangeWifiRadio": true, "canChangeWifiSSID": true, "canReboot": true, "canReconfigureVoip": true, "canRefreshConnectedDevices": true, "canReset": true, "canUseWifiRadio": true }, "dmzIP": "192.0.2.0", "easyFirewallLevel": "BlockAll", "ipv6Support": true, "isBridged": true, "lastCwmpRequestDate": "2024-01-01T12:00:00Z", "macAddress": "string", "managedByOvh": true, "model": "string", "mtuSize": 1432, "serialNumber": "string"}

Update the modem of an xDSL accessProduction

PUT
/1.0/xdsl/{serviceName}/modem

Changes the settings that can be modified: management by OVHcloud, bridge mode, DMZ IP, MTU size and ACS backend.

Path parameters

serviceName
required
string

Service name

Request body (required)

acsBackend
ACSBackendEnum

ACS backend used by the modem

Valuesbetadevstable
acsVersion
read-only
string

Version of ACS API used

brandName
read-only
string
—
capabilities
read-only
ModemCapabilities

Describe the capabilities of the Modem

dmzIP
ip

IP Address of the DMZ (To modify or delete the DMZ IP on the modem, a re-configuration of your modem has to be made, your configuration will be maintained, but you will lose your connection a few minutes)

easyFirewallLevel
read-only
EasyFirewallLevelEnum

Level of the FireWall on the modem

ValuesBlockAllDisabledNormal
ipv6Support
read-only
boolean

Whether or not the modem supports IPv6

isBridged
boolean

Whether or not the modem is in bridge mode. To pass from bridge mode to routed mode, a reset is necessary. If the modem is managedByOvh, the bridge state will be kept after a reset

lastCwmpRequestDate
read-only
stringdate-time

Last time the modem made a CWMP request to the Auto Configuration Server

macAddress
read-only
string
—
managedByOvh
boolean

Whether or not the user can configure his modem via OVH Interface (will lock telnet and local HTTP configuration page)

model
read-only
string
—
mtuSize
MTUSizeEnum

Size of the Maximum Transmission Unit on the modem's interfaces

Values143214561492
serialNumber
read-only
string
—

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem \
  -H "authorization: Bearer $OVH_TOKEN"

List the ACS backends of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/availableACSBackend

Returns the ACS backends the modem of the access can use.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/availableACSBackend \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the firmware of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/firmware

Returns the firmware version installed on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/firmware \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Upgrade the firmware of the modemProduction

POST
/1.0/xdsl/{serviceName}/modem/firmware

Installs a firmware version on the modem of the access, now or at the given date. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Request body (required)

firmware
required
string

The firmware version to upgrade to

todoDate
stringdate-time

Date of execution, default is now

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/firmware \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

List the firmware versions of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/firmwareAvailable

Returns the firmware versions that can be installed on the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/firmwareAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the ONT of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/ont

Returns the serial and MAC address of the optical network terminal of the access.

Path parameters

serviceName
required
string

Service name

Response

200Ontsuccessful operation
mac
read-only
string

MAC address of the device

serial
read-only
string

Serial of the device

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/ont \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "mac": "string", "serial": "string"}